Bug 1283587 - not able to rename the user login name in Freeipa version 4.2 user life-cycle management
not able to rename the user login name in Freeipa version 4.2 user life-cycle...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: freeipa (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: IPA Maintainers
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-19 06:06 EST by swathi b venugopal
Modified: 2016-07-19 14:30 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:30:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description swathi b venugopal 2015-11-19 06:06:01 EST
Description of problem:In freeipa the user first name and last name can be renamed but the user login name cannot be renamed and i am using an UI is it possible to do this in CLI


Version-Release number of selected component (if applicable):4.2.3


How reproducible:test to rename the user login


Steps to Reproduce:
1.select the user
2.rename the user login name
3.click on save

Actual results:user login will be renamed


Expected results:user login is not modified


Additional info:the command is ipa user -mod --rename
Comment 1 Alexander Bokovoy 2015-11-19 06:15:27 EST
User renaming is done with 'ldapmodrdn' utility. FreeIPA does not provide user renaming support.

This is not really a bug.
Comment 2 Rob Crittenden 2015-11-19 09:04:21 EST
IPA has supported renaming for ages.

$ ipa user-mod --rename newuser olduser

The bug (or perhaps RFE) is apparently that staging users cannot be renamed.
Comment 3 swathi b venugopal 2015-11-19 13:36:55 EST
In staging user we cannot rename the user but in active user we can rename it and 
i am finding that bug in active users
Comment 5 Petr Vobornik 2016-05-18 07:56:34 EDT
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/5891
Comment 6 Fedora End Of Life 2016-07-19 14:30:34 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.